Bug 849500 - vim crashes (SIGABRT) when opening a new line within C comment block
vim crashes (SIGABRT) when opening a new line within C comment block
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 22:23 EDT by pdx_scooter@yahoo.com
Modified: 2012-08-31 17:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-31 17:23:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
repeat-by data (291 bytes, text/plain)
2012-08-19 22:24 EDT, pdx_scooter@yahoo.com
no flags Details

  None (edit)
Description pdx_scooter@yahoo.com 2012-08-19 22:23:07 EDT
Description of problem: vim drops core when opening a new line within C comment


Version-Release number of selected component (if applicable):

    vim-enhanced-7.3.556-1.fc17.x86_64


How reproducible: reliably reproducible


Steps to Reproduce:
1. Save the attached file.
2. Edit with vim.
3. Move to the line just before the close of the comment.
4. Type "o"
  
Actual results:

    *** glibc detected *** /usr/bin/vim: free(): invalid next size (fast) 0x0000000001fcdfc0 ***


Expected results:

    Vim should insert a new line.

Additional info:

    All fedora updates as of 2012-08-19 are installed (via yum update).
Comment 1 pdx_scooter@yahoo.com 2012-08-19 22:24:22 EDT
Created attachment 605558 [details]
repeat-by data
Comment 2 pdx_scooter@yahoo.com 2012-08-19 22:42:08 EDT
Here's a stack trace from gdb:

(gdb) bt
#0  0x00007f2fafe70c07 in kill () at ../sysdeps/unix/syscall-template.S:82
#1  0x0000000000504992 in mch_exit ()
#2  <signal handler called>
#3  0x00007f2fafe70925 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#4  0x00007f2fafe720d8 in __GI_abort () at abort.c:91
#5  0x00007f2fafeafe6b in __libc_message (do_abort=do_abort@entry=2, 
    fmt=fmt@entry=0x7f2faffb3908 "*** glibc detected *** %s: %s: 0x%s ***\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:198
#6  0x00007f2fafeb6fee in malloc_printerr (ptr=0x228c010, 
    str=0x7f2faffb3a18 "free(): invalid next size (fast)", action=3)
    at malloc.c:5027
#7  _int_free (av=0x7f2fb01eb720, p=0x228c000, have_lock=0) at malloc.c:3948
#8  0x00000000004cb7fd in open_line ()
#9  0x00000000004e0bb1 in ?? ()
#10 0x00000000004e8ae2 in normal_cmd ()
#11 0x0000000000582977 in main_loop ()
#12 0x000000000042879a in main ()
Comment 3 Fedora Update System 2012-08-28 10:16:26 EDT
vim-7.3.638-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vim-7.3.638-2.fc17
Comment 4 Fedora Update System 2012-08-28 19:25:44 EDT
Package vim-7.3.638-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vim-7.3.638-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12869/vim-7.3.638-2.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-08-31 17:23:59 EDT
vim-7.3.638-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.